[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: PyKDE packages?

Hash: SHA1

El Jueves, 13 de Marzo de 2003 22:08, Charles de Miramon escribió:
> Le Jeudi 13 Mars 2003 20:47, John Goerzen a écrit :
> > Any idea on why PyKDE is not in sid, and when it might be?  Is anyone
> > working on it?
> >
> > -- John
> Jim Bublitz has not finished the PyKDE compatible with KDE 3.1
> (http://www.riverbankcomputing.co.uk/pykde/index.php).
> You can find information on the Debian packages of PyQT on
> http://people.debian.org/~rcardenes/
> Cheers,
> Charles


 The binary packages by Ricardo Cardenes for Woody work fine in a pure Woody 
system but they do not work well with KDE 3.1.x because they need versions 
for Qt lower than 3.1.2. I mentioned about these problems to Ricardo, and we 
concluded that the newest Python Qt version would compile with Qt 3.1.2. So 
he prepared some deb sources from a snapshot of qscintilla, sip and 
python-qt3 from 03/march/2003. Since the sources are for Sid, they use a new 
version of debhelper and the control dependences are for Sid, I slightly 
modified them (with Ricardo's invaluable help) to make them compile in Woody 
and I have created some binary debs for a Woody system plus KDE 3.1 from Ralf 
Nolden. I offer the binaries in case somebody is interested but although they 
work fine for me I cannot offer support with these packages because I have 
zero experience in packaging.

  It would be great if Ralf could create binary debs from these deb sources  
and include them in the list of third part applications at ktown.kde.org. 
Ralf would you mind creating binaries for qscintilla, sip and python-qt3...?. 

The apt source is:

  deb-src http://people.debian.org/~rcardenes main-nolden main

As I have already written, some files need to be modified so that they compile 
in a woody system + KDE 3.1 from Ralf.

Pablo de Vicente.
Version: GnuPG v1.2.1 (GNU/Linux)


Reply to: